'use strict';
/**
 * @ngdoc service
 * @name Timezones
 * @description
 *  timezone 목록 얻기
 */
app.service('Timezones', function ($http, $q) {

  /**
   * timezone 목록 얻기
   * @memberof Timezones
   * @returns {Promise} Future object
   */
  this.getAll = function() {
    var d = $q.defer();

    // timezone 목록 얻기 API 호출
    $http.get('/api/timezone/list').success(function(response) {
      if (response.result) {
        console.log(response.data);
        d.resolve(response.data);
      } else {
        d.reject(response.error);
      }
    }).error(function(error) {
      d.reject(error);
    });
    
    return d.promise;
  };

});